RedHat: RHSA-2021-1245:01 Important: gnutls and nettle security update

Advisories

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: gnutls and nettle security update
Advisory ID:       RHSA-2021:1245-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2021:1245
Issue date:        2021-04-19
CVE Names:         CVE-2021-20305 
=====================================================================

1. Summary:

An update for gnutls and nettle is now available for Red Hat Enterprise
Linux 8.1 Extended Update Support.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream EUS (v. 8.1) - aarch64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux BaseOS EUS (v. 8.1) - aarch64, ppc64le, s390x, x86_64

3. Description:

The gnutls packages provide the GNU Transport Layer Security (GnuTLS)
library, which implements cryptographic algorithms and protocols such as
SSL, TLS, and DTLS.

Nettle is a cryptographic library that is designed to fit easily in almost
any context: In crypto toolkits for object-oriented languages, such as C++,
Python, or Pike, in applications like LSH or GNUPG, or even in kernel
space.

Security Fix(es):

* nettle: Out of bounds memory access in signature verification
(CVE-2021-20305)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1942533 - CVE-2021-20305 nettle: Out of bounds memory access in signature verification

6. Package List:

Red Hat Enterprise Linux AppStream EUS (v. 8.1):

aarch64:
gnutls-c++-3.6.8-10.el8_1.aarch64.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.aarch64.rpm
gnutls-dane-3.6.8-10.el8_1.aarch64.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.aarch64.rpm
gnutls-debuginfo-3.6.8-10.el8_1.aarch64.rpm
gnutls-debugsource-3.6.8-10.el8_1.aarch64.rpm
gnutls-devel-3.6.8-10.el8_1.aarch64.rpm
gnutls-utils-3.6.8-10.el8_1.aarch64.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.aarch64.rpm
nettle-debuginfo-3.4.1-2.el8_1.aarch64.rpm
nettle-debugsource-3.4.1-2.el8_1.aarch64.rpm
nettle-devel-3.4.1-2.el8_1.aarch64.rpm

ppc64le:
gnutls-c++-3.6.8-10.el8_1.ppc64le.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
gnutls-dane-3.6.8-10.el8_1.ppc64le.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
gnutls-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
gnutls-debugsource-3.6.8-10.el8_1.ppc64le.rpm
gnutls-devel-3.6.8-10.el8_1.ppc64le.rpm
gnutls-utils-3.6.8-10.el8_1.ppc64le.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
nettle-debuginfo-3.4.1-2.el8_1.ppc64le.rpm
nettle-debugsource-3.4.1-2.el8_1.ppc64le.rpm
nettle-devel-3.4.1-2.el8_1.ppc64le.rpm

s390x:
gnutls-c++-3.6.8-10.el8_1.s390x.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.s390x.rpm
gnutls-dane-3.6.8-10.el8_1.s390x.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.s390x.rpm
gnutls-debuginfo-3.6.8-10.el8_1.s390x.rpm
gnutls-debugsource-3.6.8-10.el8_1.s390x.rpm
gnutls-devel-3.6.8-10.el8_1.s390x.rpm
gnutls-utils-3.6.8-10.el8_1.s390x.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.s390x.rpm
nettle-debuginfo-3.4.1-2.el8_1.s390x.rpm
nettle-debugsource-3.4.1-2.el8_1.s390x.rpm
nettle-devel-3.4.1-2.el8_1.s390x.rpm

x86_64:
gnutls-c++-3.6.8-10.el8_1.i686.rpm
gnutls-c++-3.6.8-10.el8_1.x86_64.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.x86_64.rpm
gnutls-dane-3.6.8-10.el8_1.i686.rpm
gnutls-dane-3.6.8-10.el8_1.x86_64.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.x86_64.rpm
gnutls-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-debuginfo-3.6.8-10.el8_1.x86_64.rpm
gnutls-debugsource-3.6.8-10.el8_1.i686.rpm
gnutls-debugsource-3.6.8-10.el8_1.x86_64.rpm
gnutls-devel-3.6.8-10.el8_1.i686.rpm
gnutls-devel-3.6.8-10.el8_1.x86_64.rpm
gnutls-utils-3.6.8-10.el8_1.x86_64.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.x86_64.rpm
nettle-debuginfo-3.4.1-2.el8_1.i686.rpm
nettle-debuginfo-3.4.1-2.el8_1.x86_64.rpm
nettle-debugsource-3.4.1-2.el8_1.i686.rpm
nettle-debugsource-3.4.1-2.el8_1.x86_64.rpm
nettle-devel-3.4.1-2.el8_1.i686.rpm
nettle-devel-3.4.1-2.el8_1.x86_64.rpm

Red Hat Enterprise Linux BaseOS EUS (v. 8.1):

Source:
gnutls-3.6.8-10.el8_1.src.rpm
nettle-3.4.1-2.el8_1.src.rpm

aarch64:
gnutls-3.6.8-10.el8_1.aarch64.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.aarch64.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.aarch64.rpm
gnutls-debuginfo-3.6.8-10.el8_1.aarch64.rpm
gnutls-debugsource-3.6.8-10.el8_1.aarch64.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.aarch64.rpm
nettle-3.4.1-2.el8_1.aarch64.rpm
nettle-debuginfo-3.4.1-2.el8_1.aarch64.rpm
nettle-debugsource-3.4.1-2.el8_1.aarch64.rpm

ppc64le:
gnutls-3.6.8-10.el8_1.ppc64le.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
gnutls-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
gnutls-debugsource-3.6.8-10.el8_1.ppc64le.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.ppc64le.rpm
nettle-3.4.1-2.el8_1.ppc64le.rpm
nettle-debuginfo-3.4.1-2.el8_1.ppc64le.rpm
nettle-debugsource-3.4.1-2.el8_1.ppc64le.rpm

s390x:
gnutls-3.6.8-10.el8_1.s390x.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.s390x.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.s390x.rpm
gnutls-debuginfo-3.6.8-10.el8_1.s390x.rpm
gnutls-debugsource-3.6.8-10.el8_1.s390x.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.s390x.rpm
nettle-3.4.1-2.el8_1.s390x.rpm
nettle-debuginfo-3.4.1-2.el8_1.s390x.rpm
nettle-debugsource-3.4.1-2.el8_1.s390x.rpm

x86_64:
gnutls-3.6.8-10.el8_1.i686.rpm
gnutls-3.6.8-10.el8_1.x86_64.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-c++-debuginfo-3.6.8-10.el8_1.x86_64.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-dane-debuginfo-3.6.8-10.el8_1.x86_64.rpm
gnutls-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-debuginfo-3.6.8-10.el8_1.x86_64.rpm
gnutls-debugsource-3.6.8-10.el8_1.i686.rpm
gnutls-debugsource-3.6.8-10.el8_1.x86_64.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.i686.rpm
gnutls-utils-debuginfo-3.6.8-10.el8_1.x86_64.rpm
nettle-3.4.1-2.el8_1.i686.rpm
nettle-3.4.1-2.el8_1.x86_64.rpm
nettle-debuginfo-3.4.1-2.el8_1.i686.rpm
nettle-debuginfo-3.4.1-2.el8_1.x86_64.rpm
nettle-debugsource-3.4.1-2.el8_1.i686.rpm
nettle-debugsource-3.4.1-2.el8_1.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-20305
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2021 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYH1uPtzjgjWX9erEAQhFTQ/9F/npzehFXClyysl63EUSlShas0fZyoKV
F7SBDdBC6lqTBR7JnpWDDEFaYLbdkFlqo3fenYdAj601ieRqntiCvoWdc5pW88wB
PK0f5ip3VwFcLSTGFgTsVBVLxFqs0ZOKSGomFWLeX9h7toJM6R2Hp8lhxsfUKt79
PvtnULKXdPtg8LDYJNlkNibIlpM8I556UXCeJEmO3iYjk2wWiDBkCG8yCZbJcwA3
/gMG9qfxcgncMVsZsnQKbAH3rLnht0qkZQ0w63sxDX0BnNJl90q+3YxA2spuKJsA
TsBitIaXi2E7yAkkVwjtVeYCo8yJvu523sO4Y9wRrN9K5mv+3iCFllbtzqkESkZH
+EfUpZTAGSEeKONLX/IA86jXt4BrBVl36qoV1E0o1MbyDNyAKe+bcf3j6jEroB6g
AR/7IJ//pDgWATFfGQR+/sSGVWLaXlYs2KOWFNBe7WLuSdf/W54eqRx56h0vIuDs
sGzInpGvr1rYgIYrpCXW3Zj01aZapkyi7ujQ0xExootGFH+XtmwUgoRuPxMQZNcC
3E5wBZt2LE2J5QdkQf1imJgCSODKsxpgEQA9GwD51beJfp5ROfh2LpBZo7LwF2Yd
kk4QbLmwCtjtCldhxTxCNFNFD1G5uZ6H0cITAKDcFTdEqtLpuoOPYIvo1ZcFYolK
M+jMWwHvPFg=
=eTEx
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2021-1245:01 Important: gnutls and nettle security update

An update for gnutls and nettle is now available for Red Hat Enterprise Linux 8.1 Extended Update Support

Summary

The gnutls packages provide the GNU Transport Layer Security (GnuTLS) library, which implements cryptographic algorithms and protocols such as SSL, TLS, and DTLS.
Nettle is a cryptographic library that is designed to fit easily in almost any context: In crypto toolkits for object-oriented languages, such as C++, Python, or Pike, in applications like LSH or GNUPG, or even in kernel space.
Security Fix(es):
* nettle: Out of bounds memory access in signature verification (CVE-2021-20305)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2021-20305 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux AppStream EUS (v. 8.1):
aarch64: gnutls-c++-3.6.8-10.el8_1.aarch64.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.aarch64.rpm gnutls-dane-3.6.8-10.el8_1.aarch64.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.aarch64.rpm gnutls-debuginfo-3.6.8-10.el8_1.aarch64.rpm gnutls-debugsource-3.6.8-10.el8_1.aarch64.rpm gnutls-devel-3.6.8-10.el8_1.aarch64.rpm gnutls-utils-3.6.8-10.el8_1.aarch64.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.aarch64.rpm nettle-debuginfo-3.4.1-2.el8_1.aarch64.rpm nettle-debugsource-3.4.1-2.el8_1.aarch64.rpm nettle-devel-3.4.1-2.el8_1.aarch64.rpm
ppc64le: gnutls-c++-3.6.8-10.el8_1.ppc64le.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.ppc64le.rpm gnutls-dane-3.6.8-10.el8_1.ppc64le.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.ppc64le.rpm gnutls-debuginfo-3.6.8-10.el8_1.ppc64le.rpm gnutls-debugsource-3.6.8-10.el8_1.ppc64le.rpm gnutls-devel-3.6.8-10.el8_1.ppc64le.rpm gnutls-utils-3.6.8-10.el8_1.ppc64le.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.ppc64le.rpm nettle-debuginfo-3.4.1-2.el8_1.ppc64le.rpm nettle-debugsource-3.4.1-2.el8_1.ppc64le.rpm nettle-devel-3.4.1-2.el8_1.ppc64le.rpm
s390x: gnutls-c++-3.6.8-10.el8_1.s390x.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.s390x.rpm gnutls-dane-3.6.8-10.el8_1.s390x.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.s390x.rpm gnutls-debuginfo-3.6.8-10.el8_1.s390x.rpm gnutls-debugsource-3.6.8-10.el8_1.s390x.rpm gnutls-devel-3.6.8-10.el8_1.s390x.rpm gnutls-utils-3.6.8-10.el8_1.s390x.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.s390x.rpm nettle-debuginfo-3.4.1-2.el8_1.s390x.rpm nettle-debugsource-3.4.1-2.el8_1.s390x.rpm nettle-devel-3.4.1-2.el8_1.s390x.rpm
x86_64: gnutls-c++-3.6.8-10.el8_1.i686.rpm gnutls-c++-3.6.8-10.el8_1.x86_64.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.x86_64.rpm gnutls-dane-3.6.8-10.el8_1.i686.rpm gnutls-dane-3.6.8-10.el8_1.x86_64.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.x86_64.rpm gnutls-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-debuginfo-3.6.8-10.el8_1.x86_64.rpm gnutls-debugsource-3.6.8-10.el8_1.i686.rpm gnutls-debugsource-3.6.8-10.el8_1.x86_64.rpm gnutls-devel-3.6.8-10.el8_1.i686.rpm gnutls-devel-3.6.8-10.el8_1.x86_64.rpm gnutls-utils-3.6.8-10.el8_1.x86_64.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.x86_64.rpm nettle-debuginfo-3.4.1-2.el8_1.i686.rpm nettle-debuginfo-3.4.1-2.el8_1.x86_64.rpm nettle-debugsource-3.4.1-2.el8_1.i686.rpm nettle-debugsource-3.4.1-2.el8_1.x86_64.rpm nettle-devel-3.4.1-2.el8_1.i686.rpm nettle-devel-3.4.1-2.el8_1.x86_64.rpm
Red Hat Enterprise Linux BaseOS EUS (v. 8.1):
Source: gnutls-3.6.8-10.el8_1.src.rpm nettle-3.4.1-2.el8_1.src.rpm
aarch64: gnutls-3.6.8-10.el8_1.aarch64.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.aarch64.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.aarch64.rpm gnutls-debuginfo-3.6.8-10.el8_1.aarch64.rpm gnutls-debugsource-3.6.8-10.el8_1.aarch64.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.aarch64.rpm nettle-3.4.1-2.el8_1.aarch64.rpm nettle-debuginfo-3.4.1-2.el8_1.aarch64.rpm nettle-debugsource-3.4.1-2.el8_1.aarch64.rpm
ppc64le: gnutls-3.6.8-10.el8_1.ppc64le.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.ppc64le.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.ppc64le.rpm gnutls-debuginfo-3.6.8-10.el8_1.ppc64le.rpm gnutls-debugsource-3.6.8-10.el8_1.ppc64le.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.ppc64le.rpm nettle-3.4.1-2.el8_1.ppc64le.rpm nettle-debuginfo-3.4.1-2.el8_1.ppc64le.rpm nettle-debugsource-3.4.1-2.el8_1.ppc64le.rpm
s390x: gnutls-3.6.8-10.el8_1.s390x.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.s390x.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.s390x.rpm gnutls-debuginfo-3.6.8-10.el8_1.s390x.rpm gnutls-debugsource-3.6.8-10.el8_1.s390x.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.s390x.rpm nettle-3.4.1-2.el8_1.s390x.rpm nettle-debuginfo-3.4.1-2.el8_1.s390x.rpm nettle-debugsource-3.4.1-2.el8_1.s390x.rpm
x86_64: gnutls-3.6.8-10.el8_1.i686.rpm gnutls-3.6.8-10.el8_1.x86_64.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-c++-debuginfo-3.6.8-10.el8_1.x86_64.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-dane-debuginfo-3.6.8-10.el8_1.x86_64.rpm gnutls-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-debuginfo-3.6.8-10.el8_1.x86_64.rpm gnutls-debugsource-3.6.8-10.el8_1.i686.rpm gnutls-debugsource-3.6.8-10.el8_1.x86_64.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.i686.rpm gnutls-utils-debuginfo-3.6.8-10.el8_1.x86_64.rpm nettle-3.4.1-2.el8_1.i686.rpm nettle-3.4.1-2.el8_1.x86_64.rpm nettle-debuginfo-3.4.1-2.el8_1.i686.rpm nettle-debuginfo-3.4.1-2.el8_1.x86_64.rpm nettle-debugsource-3.4.1-2.el8_1.i686.rpm nettle-debugsource-3.4.1-2.el8_1.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2021:1245-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2021:1245
Issued Date: : 2021-04-19
CVE Names: CVE-2021-20305

Topic

An update for gnutls and nettle is now available for Red Hat EnterpriseLinux 8.1 Extended Update Support.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux AppStream EUS (v. 8.1) - aarch64, ppc64le, s390x, x86_64

Red Hat Enterprise Linux BaseOS EUS (v. 8.1) - aarch64, ppc64le, s390x, x86_64

Bugs Fixed

1942533 - CVE-2021-20305 nettle: Out of bounds memory access in signature verification

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.